Bug 1117683 - After upgrade pulseaudio to 5.0-6.fc20 gdm fail to start
After upgrade pulseaudio to 5.0-6.fc20 gdm fail to start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: pulseaudio-5.0
  Show dependency treegraph
 
Reported: 2014-07-09 04:12 EDT by Mikhail
Modified: 2014-07-29 21:18 EDT (History)
7 users (show)

See Also:
Fixed In Version: qemu-1.6.2-7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-29 21:18:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel log (68.55 KB, text/x-log)
2014-07-09 04:12 EDT, Mikhail
no flags Details
photo of unbottable system (1.24 MB, image/jpeg)
2014-07-09 04:14 EDT, Mikhail
no flags Details
too pity but only kerneloops in abrt :( (62.03 KB, image/png)
2014-07-09 08:04 EDT, Mikhail
no flags Details
core dump of pid 1370 (/usr/libexec/gnome-settings-daemon) (1.41 MB, application/x-compressed-tar)
2014-07-09 09:05 EDT, Paulo Anes
no flags Details
kernel log (236.67 KB, text/x-log)
2014-07-09 10:15 EDT, Mikhail
no flags Details
quick-n-dirty workaround for bundled libgnome-volume-control lib in gnome-settings-daemon/gnome-shell (737 bytes, patch)
2014-07-09 10:58 EDT, Rex Dieter
no flags Details | Diff
quick-n-dirty workaround for crash condition in libgnome-volume-control (922 bytes, patch)
2014-07-09 11:42 EDT, Rex Dieter
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 732952 None None None Never
FreeDesktop.org 81116 None None None Never
Novell 840845 None None None Never

  None (edit)
Description Mikhail 2014-07-09 04:12:30 EDT
Created attachment 916667 [details]
kernel log

Description of problem:
After upgrade pulseaudio to 5.0-6.fc20 gdm fail to start


[   56.439923] gnome-settings-[726]: segfault at 1 ip b6adcc0b sp bfea6acc error 4 in libc-2.18.so[b698d000+1b8000]
[   60.492184] gnome-settings-[1013]: segfault at 1 ip b6b99c0b sp bf9e772c error 4 in libc-2.18.so[b6a4a000+1b8000]
[   65.302884] gnome-shell[861]: segfault at 1 ip b53c5c0b sp bffed98c error 4 in libc-2.18.so[b5276000+1b8000]
[   76.632896] gnome-shell[1589]: segfault at 1 ip b5346c0b sp bf80adac error 4 in libc-2.18.so[b51f7000+1b8000]
Comment 1 Mikhail 2014-07-09 04:14:16 EDT
Created attachment 916669 [details]
photo of unbottable system
Comment 2 Rex Dieter 2014-07-09 07:55:51 EDT
The segfaults you mention only mention libc.

Could you get a backtrace (from abrt)?
Comment 3 Mikhail 2014-07-09 07:59:00 EDT
downgrade pulseaudio helps me resume working gdm

How I can get backtrace without graphic?
Comment 4 Rex Dieter 2014-07-09 08:02:25 EDT
I thought that abrt could catch the crash, and then you could report it after a successful login.  But perhaps my understanding of abrt is wrong.

Without a backtrace, debugging this will be difficult.
Comment 5 Mikhail 2014-07-09 08:04:33 EDT
Created attachment 916751 [details]
too pity but only kerneloops in abrt :(
Comment 6 Rex Dieter 2014-07-09 09:02:09 EDT
I'm able to reproduce this on a i686 box (not x86_64 laptop though).  abrt indeed refused to process it, but I can run gdb manually on the abrt-provided coredump.

$ gdb /usr/libexec/gnome-settings-daemon coredump
...
$ backtrace
#0  __strcmp_sse4_2 () at ../sysdeps/i386/i686/multiarch/strcmp-sse4.S:217
#1  0xb6c1a23c in g_strcmp0 (str1=str1@entry=0x1 <error: Cannot access memory at address 0x1>, str2=0x88d84d8 "output:analog-stereo+input:analog-stereo") at gtestutils.c:2399
#2  0xb1e49dcb in update_card (info=0xbfd9224c, control=0x87780f0) at gvc-mixer-control.c:2061
#3  _pa_context_get_card_info_by_index_cb (context=0x87ebdf8, i=0xbfd9224c, eol=0, userdata=0x87780f0) at gvc-mixer-control.c:2304
#4  0xb343206a in context_get_card_info_callback (pd=pd@entry=0x8835a68, command=command@entry=2, tag=tag@entry=4, t=t@entry=0x8913dc8, userdata=userdata@entry=0x886a0f8) at pulse/introspect.c:971
#5  0xb33da8b0 in run_action (pd=0x8835a68, r=0x882da00, command=2, ts=0x8913dc8) at pulsecore/pdispatch.c:279
#6  0xb33dacd0 in pa_pdispatch_run (pd=0x8835a68, packet=packet@entry=0x88d8400, creds=creds@entry=0x8864fa8, userdata=userdata@entry=0x87ebdf8) at pulsecore/pdispatch.c:331
#7  0xb34239c5 in pstream_packet_callback (p=p@entry=0x8864e00, packet=0x88d8400, creds=0x8864fa8, userdata=userdata@entry=0x87ebdf8) at pulse/context.c:335
#8  0xb33df86b in do_read (p=0x8864e00) at pulsecore/pstream.c:830
#9  do_pstream_read_write (p=0x8864e00) at pulsecore/pstream.c:185
#10 0xb33ca230 in callback (m=m@entry=0x87ecb84, e=e@entry=0x8706cb0, fd=25, f=PA_IO_EVENT_INPUT, userdata=0x8788dd8) at pulsecore/iochannel.c:160
#11 0xb3469adf in dispatch_func (source=source@entry=0x87ecb50, callback=0x0, userdata=0x0) at pulse/glib-mainloop.c:586
#12 0xb6bf7556 in g_main_dispatch (context=0x86e35b0) at gmain.c:3066
#13 g_main_context_dispatch (context=context@entry=0x86e35b0) at gmain.c:3642
#14 0xb6bf7920 in g_main_context_iterate (context=0x86e35b0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3713
#15 0xb6bf7dc3 in g_main_loop_run (loop=loop@entry=0x8701e70) at gmain.c:3907
#16 0xb72f86dd in gtk_main () at gtkmain.c:1158
#17 0x0804aabb in main (argc=1, argv=0xbfd92684) at main.c:444
Comment 7 Paulo Anes 2014-07-09 09:05:04 EDT
Created attachment 916768 [details]
core dump of pid 1370 (/usr/libexec/gnome-settings-daemon)
Comment 8 Rex Dieter 2014-07-09 09:32:14 EDT
seems a related/similar opensuse (novell) bug, https://bugzilla.novell.com/show_bug.cgi?id=840845
Comment 9 Mikhail 2014-07-09 10:14:56 EDT
On x86_64 after upgrade pulse audio begins follow hell:
[   60.854409] BUG: soft lockup - CPU#6 stuck for 22s! [teamviewerd:2324]
[   60.854415] Modules linked in: fuse ipt_MASQUERADE xt_CHECKSUM ip6t_rpfilter ip6t_REJECT xt_conntrack cfg80211 ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw tun bnep hid_logitech_dj btusb bluetooth rfkill iTCO_wdt iTCO_vendor_support ppdev btrfs vfat raid6_pq fat x86_pkg_temp_thermal xor uas coretemp usb_storage kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel microcode snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi serio_raw snd_emu10k1 snd_hda_intel snd_util_mem snd_rawmidi snd_hda_controller
[   60.854455]  snd_ac97_codec snd_hda_codec snd_hwdep snd_seq ac97_bus snd_seq_device emu10k1_gp gameport snd_pcm mei_me i2c_i801 lpc_ich mfd_core shpchp mei snd_timer snd soundcore parport_pc parport binfmt_misc nfsd auth_rpcgss nfs_acl lockd sunrpc i915 firewire_ohci i2c_algo_bit firewire_core drm_kms_helper r8169 crc_itu_t drm mii i2c_core video
[   60.854480] irq event stamp: 0
[   60.854481] hardirqs last  enabled at (0): [<          (null)>]           (null)
[   60.854482] hardirqs last disabled at (0): [<ffffffff81093229>] copy_process.part.21+0x6b9/0x1f00
[   60.854485] softirqs last  enabled at (0): [<ffffffff81093229>] copy_process.part.21+0x6b9/0x1f00
[   60.854486] softirqs last disabled at (0): [<          (null)>]           (null)
[   60.854488] CPU: 6 PID: 2324 Comm: teamviewerd Not tainted 3.15.4-200.fc20.x86_64+debug #1
[   60.854489] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F10 04/09/2014
[   60.854490] task: ffff8807cb5ecbe0 ti: ffff8807cb770000 task.ti: ffff8807cb770000
[   60.854491] RIP: 0010:[<ffffffff813d2525>]  [<ffffffff813d2525>] copy_user_enhanced_fast_string+0x5/0x10
[   60.854494] RSP: 0000:ffff8807cb773db0  EFLAGS: 00210202
[   60.854495] RAX: 0000000000001000 RBX: ffffffff817e44f3 RCX: 0000000000000afa
[   60.854496] RDX: 0000000000001000 RSI: 00000000f76fa506 RDI: ffff8807e0ff2506
[   60.854497] RBP: ffff8807cb773de8 R08: 00000000f76fafff R09: 0000000000000000
[   60.854497] R10: 0000000000000000 R11: ffffea001f83fc80 R12: ffff8807cb773d28
[   60.854498] R13: ffff8807cb5ecbe0 R14: ffff8807cb770000 R15: ffff8807cb5ecbe0
[   60.854499] FS:  0000000000000000(0000) GS:ffff88081f800000(0063) knlGS:00000000f4bfeb40
[   60.854500] CS:  0010 DS: 002b ES: 002b CR0: 0000000080050033
[   60.854501] CR2: 00000000f76f3000 CR3: 00000007db039000 CR4: 00000000001407e0
[   60.854502] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   60.854502] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[   60.854503] Stack:
[   60.854504]  ffffffff8123cac7 00000000293ba6c0 ffff8807cb59c000 0000000000001000
[   60.854505]  0000000000001000 0000000000001000 0000000000000000 ffff8807cb773e68
[   60.854507]  ffffffff8123cf50 ffff8807cb59c130 ffff8807cb59c0a8 ffff8807e0ff2000
[   60.854509] Call Trace:
[   60.854512]  [<ffffffff8123cac7>] ? pipe_iov_copy_from_user+0x67/0xe0
[   60.854514]  [<ffffffff8123cf50>] pipe_write+0x160/0x5f0
[   60.854517]  [<ffffffff81233927>] do_sync_write+0x67/0xa0
[   60.854519]  [<ffffffff8123416d>] vfs_write+0xbd/0x1f0
[   60.854521]  [<ffffffff811564cc>] ? __audit_syscall_entry+0x9c/0xf0
[   60.854523]  [<ffffffff81234d78>] SyS_write+0x58/0xd0
[   60.854526]  [<ffffffff817f03c9>] ia32_do_call+0x13/0x13
[   60.854526] Code: 48 ff c6 48 ff c7 ff c9 75 f2 89 d1 c1 e9 03 83 e2 07 f3 48 a5 89 d1 f3 a4 31 c0 66 66 90 c3 0f 1f 80 00 00 00 00 66 66 90 89 d1 <f3> a4 31 c0 66 66 90 c3 90 90 90 66 66 90 83 fa 08 0f 82 95 00 
[   64.840087] BUG: soft lockup - CPU#5 stuck for 22s! [pulseaudio:2239]
[   64.840100] Modules linked in: fuse ipt_MASQUERADE xt_CHECKSUM ip6t_rpfilter ip6t_REJECT xt_conntrack cfg80211 ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw tun bnep hid_logitech_dj btusb bluetooth rfkill iTCO_wdt iTCO_vendor_support ppdev btrfs vfat raid6_pq fat x86_pkg_temp_thermal xor uas coretemp usb_storage kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel microcode snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi serio_raw snd_emu10k1 snd_hda_intel snd_util_mem snd_rawmidi snd_hda_controller
[   64.840134]  snd_ac97_codec snd_hda_codec snd_hwdep snd_seq ac97_bus snd_seq_device emu10k1_gp gameport snd_pcm mei_me i2c_i801 lpc_ich mfd_core shpchp mei snd_timer snd soundcore parport_pc parport binfmt_misc nfsd auth_rpcgss nfs_acl lockd sunrpc i915 firewire_ohci i2c_algo_bit firewire_core drm_kms_helper r8169 crc_itu_t drm mii i2c_core video
[   64.840173] irq event stamp: 0
[   64.840174] hardirqs last  enabled at (0): [<          (null)>]           (null)
[   64.840175] hardirqs last disabled at (0): [<ffffffff81093229>] copy_process.part.21+0x6b9/0x1f00
[   64.840178] softirqs last  enabled at (0): [<ffffffff81093229>] copy_process.part.21+0x6b9/0x1f00
[   64.840179] softirqs last disabled at (0): [<          (null)>]           (null)
[   64.840181] CPU: 5 PID: 2239 Comm: pulseaudio Not tainted 3.15.4-200.fc20.x86_64+debug #1
[   64.840182] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F10 04/09/2014
[   64.840183] task: ffff8807e0dfa5f0 ti: ffff8807e5b6c000 task.ti: ffff8807e5b6c000
[   64.840184] RIP: 0010:[<ffffffff8112d036>]  [<ffffffff8112d036>] smp_call_function_many+0x226/0x290
[   64.840187] RSP: 0018:ffff8807e5b6fc60  EFLAGS: 00000202
[   64.840188] RAX: 0000000000000006 RBX: ffffffff817e44f3 RCX: ffff88081f9da260
[   64.840189] RDX: 0000000000000006 RSI: 0000000000000008 RDI: 0000000000000000
[   64.840190] RBP: ffff8807e5b6fc98 R08: ffff880813515f00 R09: 0000000000000000
[   64.840190] R10: 0000000000000000 R11: 0000000000000000 R12: ffff8807e5b6fbd8
[   64.840191] R13: ffff8807e0dfa5f0 R14: ffff8807e5b6c000 R15: ffff8807e0dfa5f0
[   64.840192] FS:  00007fe5230ad900(0000) GS:ffff88081f600000(0000) knlGS:0000000000000000
[   64.840193] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   64.840194] CR2: 00007f19a0016578 CR3: 00000007ff7aa000 CR4: 00000000001407e0
[   64.840195] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   64.840196] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[   64.840196] Stack:
[   64.840197]  0000000000000005 0000000100000000 00000000ffffffff 0000000000000000
[   64.840199]  0000000000000000 0000000000000000 ffffffff81cee280 ffff8807e5b6fca8
[   64.840201]  ffffffff8112d0ca ffff8807e5b6fcb8 ffffffff8162de5c ffff8807e5b6fd00
[   64.840202] Call Trace:
[   64.840205]  [<ffffffff8112d0ca>] smp_call_function+0x2a/0x40
[   64.840208]  [<ffffffff8162de5c>] cpuidle_latency_notify+0x1c/0x30
[   64.840210]  [<ffffffff817e89b6>] notifier_call_chain+0x66/0x150
[   64.840213]  [<ffffffff810c8cd3>] __blocking_notifier_call_chain+0x53/0x70
[   64.840215]  [<ffffffff810c8d06>] blocking_notifier_call_chain+0x16/0x20
[   64.840217]  [<ffffffff811014de>] pm_qos_update_target+0xce/0x2b0
[   64.840218]  [<ffffffff81101bd6>] pm_qos_remove_request+0x56/0x210
[   64.840224]  [<ffffffffa0327ce9>] snd_pcm_common_ioctl1+0x609/0xc40 [snd_pcm]
[   64.840227]  [<ffffffff81354a0d>] ? avc_has_perm+0x16d/0x360
[   64.840229]  [<ffffffff813548d4>] ? avc_has_perm+0x34/0x360
[   64.840233]  [<ffffffffa03284db>] snd_pcm_playback_ioctl1+0x1bb/0x2e0 [snd_pcm]
[   64.840236]  [<ffffffffa0328630>] snd_pcm_playback_ioctl+0x30/0x40 [snd_pcm]
[   64.840238]  [<ffffffff812496d0>] do_vfs_ioctl+0x300/0x520
[   64.840240]  [<ffffffff81255765>] ? __fget+0x5/0x300
[   64.840242]  [<ffffffff81249971>] SyS_ioctl+0x81/0xa0
[   64.840244]  [<ffffffff811564cc>] ? __audit_syscall_entry+0x9c/0xf0
[   64.840246]  [<ffffffff817ee2a9>] system_call_fastpath+0x16/0x1b
[   64.840247] Code: af c0 00 89 c2 39 f0 0f 8d 70 fe ff ff 48 98 49 8b 0f 48 03 0c c5 20 39 d3 81 f6 41 18 01 74 cd 0f 1f 44 00 00 f3 90 f6 41 18 01 <75> f8 48 63 35 55 af c0 00 eb b7 0f b6 4d d4 4c 89 e2 48 89 de
Comment 10 Mikhail 2014-07-09 10:15:34 EDT
Created attachment 916804 [details]
kernel log
Comment 11 Rex Dieter 2014-07-09 10:18:53 EDT
And I suspect abrt fails because of (or is confused by) glib2 bug #972351  :(
Comment 12 Rex Dieter 2014-07-09 10:22:54 EDT
Mikhail, your bug is different, it's tickling a kernel/driver crash (please file a separate one)
Comment 13 Rex Dieter 2014-07-09 10:23:32 EDT
Or rather, your last post in comment#9 refers to a different issue.
Comment 14 Rex Dieter 2014-07-09 10:58:41 EDT
Created attachment 916827 [details]
quick-n-dirty workaround for bundled libgnome-volume-control lib in gnome-settings-daemon/gnome-shell

Seems for some reason that pi.name is sometimes not populated/set now, so the debugging code within libgnome-volume-control falls over.  Workaround that by only checking it if it is set to non-NULL.
Comment 15 Rex Dieter 2014-07-09 11:39:57 EDT
filed upstream bug against libgnome-volume-control, https://bugzilla.gnome.org/show_bug.cgi?id=732952
Comment 16 Rex Dieter 2014-07-09 11:42:05 EDT
Created attachment 916866 [details]
quick-n-dirty workaround for crash condition in libgnome-volume-control

Slightly better version
Comment 17 Rex Dieter 2014-07-09 12:00:55 EDT
Pavucontrol crashes too, for similar reasons,
filed https://bugs.freedesktop.org/show_bug.cgi?id=81116
Comment 18 Rex Dieter 2014-07-11 09:14:33 EDT
I found one possible cause, between the 4.0 snapshot fedora 20 shipped with (f81e3) and pulseaudio-5.0, came this ABI break(1):

http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=85e7fbc196f4424f68e530c2e3a01d9b941f293e

I'll try to do more testing over the next day or 2 to confirm this suspicion.  If positive, yuck, will have to think deeply on how best to handle fixing it downstream (in fedora).


1. strictly speaking, it was fixing/restoring a prior break introduced in 4.0 development
Comment 19 Rex Dieter 2014-07-16 09:14:56 EDT
Evidence points to comment #18 suspicions being correct, rebuilt affected items (against pulseaudio-5.0 referenced here) no longer crash.  I tested gnome-shell, gnome-settings-daemon and pavucontrol referenced so far in this bug report.

pulseaudio upstream dev recommends we rebuild all affected components, but the list is not trivial.  Any other ideas, objections, or recommendations?
Comment 20 Rex Dieter 2014-07-16 12:52:32 EDT
Here's the list of packages built after the abi break was introduced in 
pulseaudio-4.0-5.gitf81e3

* Fri Oct 11 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.0-5.gitf81e3
- fresh snapshot

From F20 GA:
-----------
ffgtk
fluidsynth

From F20 updates:
----------------
audacious-plugins
cinnamon
cinnamon-control-center
cinnamon-settings-daemon
control-center
empathy
fldigi
gnome-settings-daemon
gnome-shell
gqrx
gstreamer1-plugins-good
guacamole-server
java-1.7.0-openjdk
kde-runtime
kmix
libmikmod
mate-media
mate-settings-daemon
minimodem
mumble
paprefs
phonon
qemu
qmmp
qt
qt-mobility
qt5-qtmultimedia
sidplayfp
speech-dispatcher
sphinxtrain
spice-gtk
wine
xmp
Comment 21 Fedora Update System 2014-07-17 11:04:09 EDT
mate-settings-daemon-1.6.2-3.fc20,mate-media-1.6.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.6.2-3.fc20,mate-media-1.6.1-2.fc20
Comment 22 Fedora Update System 2014-07-17 11:06:57 EDT
kmix-4.13.3-2.fc20, pulseaudio-5.0-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-8183/kmix-4.13.3-2.fc20,pulseaudio-5.0-7.fc20
Comment 23 Fedora Update System 2014-07-17 12:04:05 EDT
pipelight-0.2.7.1.1-0.16.git20140714.61348bc7adad.fc20, pipelight-selinux-0.2.1-2.fc20, wine-1.7.22-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-8416/pipelight-0.2.7.1.1-0.16.git20140714.61348bc7adad.fc20,pipelight-selinux-0.2.1-2.fc20,wine-1.7.22-4.fc20
Comment 24 Fedora Update System 2014-07-19 01:56:12 EDT
Package qemu-1.6.2-7.fc20, java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20, qt-4.8.6-9.fc20.1, qt5-qtmultimedia-5.3.1-1.fc20.1, gnome-shell-3.10.4-7.fc20, gnome-settings-daemon-3.10.3-2.fc20, control-center-3.10.3-2.fc20, empathy-3.10.3-2.fc20, gstreamer1-plugins-good-1.2.4-2.fc20, speech-dispatcher-0.8-9.fc20, spice-gtk-0.23-3.fc20, sphinxtrain-1.0.8-13.fc20, guacamole-server-0.8.4-3.fc20, audacious-plugins-3.4.3-2.fc20, paprefs-0.9.10-7.fc20, fldigi-3.21.83-2.fc20, qmmp-0.7.7-1.fc20.1, mumble-1.2.6-1.fc20.1, libmikmod-3.3.6-3.fc20, minimodem-0.19-3.fc20, sidplayfp-1.2.0-2.fc20, xmp-4.0.7-2.fc20, gqrx-2.2.0-6.fc20, cinnamon-settings-daemon-2.2.4-2.fc20, cinnamon-control-center-2.2.10-1.fc20.1, cinnamon-2.2.14-5.fc20, phonon-4.7.2-1.fc20.1, qt-mobility-1.2.2-0.16.20140317git169da60c.fc20, fluidsynth-1.1.6-4.fc20, ffgtk-0.8.6-7.fc20, pulseaudio-5.0-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.6.2-7.fc20 java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20 qt-4.8.6-9.fc20.1 qt5-qtmultimedia-5.3.1-1.fc20.1 gnome-shell-3.10.4-7.fc20 gnome-settings-daemon-3.10.3-2.fc20 control-center-3.10.3-2.fc20 empathy-3.10.3-2.fc20 gstreamer1-plugins-good-1.2.4-2.fc20 speech-dispatcher-0.8-9.fc20 spice-gtk-0.23-3.fc20 sphinxtrain-1.0.8-13.fc20 guacamole-server-0.8.4-3.fc20 audacious-plugins-3.4.3-2.fc20 paprefs-0.9.10-7.fc20 fldigi-3.21.83-2.fc20 qmmp-0.7.7-1.fc20.1 mumble-1.2.6-1.fc20.1 libmikmod-3.3.6-3.fc20 minimodem-0.19-3.fc20 sidplayfp-1.2.0-2.fc20 xmp-4.0.7-2.fc20 gqrx-2.2.0-6.fc20 cinnamon-settings-daemon-2.2.4-2.fc20 cinnamon-control-center-2.2.10-1.fc20.1 cinnamon-2.2.14-5.fc20 phonon-4.7.2-1.fc20.1 qt-mobility-1.2.2-0.16.20140317git169da60c.fc20 fluidsynth-1.1.6-4.fc20 ffgtk-0.8.6-7.fc20 pulseaudio-5.0-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8183/qemu-1.6.2-7.fc20,java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20,qt-4.8.6-9.fc20.1,qt5-qtmultimedia-5.3.1-1.fc20.1,gnome-shell-3.10.4-7.fc20,gnome-settings-daemon-3.10.3-2.fc20,control-center-3.10.3-2.fc20,empathy-3.10.3-2.fc20,gstreamer1-plugins-good-1.2.4-2.fc20,speech-dispatcher-0.8-9.fc20,spice-gtk-0.23-3.fc20,sphinxtrain-1.0.8-13.fc20,guacamole-server-0.8.4-3.fc20,audacious-plugins-3.4.3-2.fc20,paprefs-0.9.10-7.fc20,fldigi-3.21.83-2.fc20,qmmp-0.7.7-1.fc20.1,mumble-1.2.6-1.fc20.1,libmikmod-3.3.6-3.fc20,minimodem-0.19-3.fc20,sidplayfp-1.2.0-2.fc20,xmp-4.0.7-2.fc20,gqrx-2.2.0-6.fc20,cinnamon-settings-daemon-2.2.4-2.fc20,cinnamon-control-center-2.2.10-1.fc20.1,cinnamon-2.2.14-5.fc20,phonon-4.7.2-1.fc20.1,qt-mobility-1.2.2-0.16.20140317git169da60c.fc20,fluidsynth-1.1.6-4.fc20,ffgtk-0.8.6-7.fc20,pulseaudio-5.0-7.fc20
then log in and leave karma (feedback).
Comment 25 Mikhail 2014-07-19 06:45:25 EDT
Also need rebuild Corp repository.
https://copr.fedoraproject.org/coprs/rhughes/f20-gnome-3-12/
Problem not fixed there
Comment 26 Fedora Update System 2014-07-25 20:09:52 EDT
qemu-1.6.2-7.fc20, java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20, qt-4.8.6-9.fc20.1, qt5-qtmultimedia-5.3.1-1.fc20.1, gnome-shell-3.10.4-7.fc20, gnome-settings-daemon-3.10.3-2.fc20, control-center-3.10.3-2.fc20, empathy-3.10.3-2.fc20, gstreamer1-plugins-good-1.2.4-2.fc20, speech-dispatcher-0.8-9.fc20, spice-gtk-0.23-3.fc20, sphinxtrain-1.0.8-13.fc20, guacamole-server-0.8.4-3.fc20, audacious-plugins-3.4.3-2.fc20, paprefs-0.9.10-7.fc20, fldigi-3.21.83-2.fc20, qmmp-0.7.7-1.fc20.1, mumble-1.2.6-1.fc20.1, libmikmod-3.3.6-3.fc20, minimodem-0.19-3.fc20, sidplayfp-1.2.0-2.fc20, xmp-4.0.7-2.fc20, gqrx-2.2.0-6.fc20, cinnamon-settings-daemon-2.2.4-2.fc20, cinnamon-control-center-2.2.10-1.fc20.1, cinnamon-2.2.14-5.fc20, phonon-4.7.2-1.fc20.1, qt-mobility-1.2.2-0.16.20140317git169da60c.fc20, fluidsynth-1.1.6-4.fc20, ffgtk-0.8.6-7.fc20, pulseaudio-5.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Mikhail 2014-07-26 00:53:32 EDT
Repository corp still not rebuilded :(
Comment 28 Fedora Update System 2014-07-28 22:06:43 EDT
mate-settings-daemon-1.6.2-3.fc20, mate-media-1.6.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Rex Dieter 2014-07-29 21:18:01 EDT
Re: comment #27 and COPR

Please contact the COPR maintainers then, they are not on this bug.  Re-opening this bug for COPR-related issues is not appropriate

Note You need to log in before you can comment on or make changes to this bug.